<?php
/*
Plugin Name: mCare Admin
Description: Onboarding-Hilfe für neue WP-Sites in das mCare-System von Macbay
Author: Sascha Liem
Text Domain: fwpb
Domain Path: /languages/
Version: 0.3
*/
/*  This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
 
// ADMIN ACCOUNT START

if ( ! function_exists( 'mcare_admin_account' ) ) {
	function mcare_admin_account() {
		// Hier setzen Sie ihre neuen Daten fest
		$username = 'sitemin';
		$email = 'wordpress@macbay.net';

		// Ab hier müssen Sie nichts mehr machen
		if ( ! username_exists( $username )  && ( ! email_exists( $email ) ) ) {
			$user_id = wp_create_user( $username, $password, $email );
			$username = new WP_User( $user_id );
			$username->set_role( 'administrator' );
		} 
	}
}
add_action('init','mcare_admin_account');

// ADMIN ACCOUNT END